# uproot.source.http.get_num_bytes

Defined in uproot.source.http on line 83.

uproot.source.http.get_num_bytes(file_path: str, parsed_url: ParseResult, timeout) → int
  Parameters:

    - file_path (str) – The URL to access as a raw string.

    - parsed_url (`urllib.parse.ParseResult`) – The URL to access.

    - timeout (None or float) – An optional timeout in seconds.

  Returns the number of bytes in the file by making a HEAD request.